Bug 524380 - Xorg with Radeon X600 refuses to run 1280x1024 on Eizo L767
Summary: Xorg with Radeon X600 refuses to run 1280x1024 on Eizo L767
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 11
Hardware: i586
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_R300e/M
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-19 16:15 UTC by tom
Modified: 2018-04-11 13:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-27 13:07:16 UTC


Attachments (Terms of Use)
Manual specification page for L767 monitor (22.08 KB, text/html)
2009-09-19 16:15 UTC, tom
no flags Details
Xorg log file (55.04 KB, text/plain)
2009-09-19 16:18 UTC, tom
no flags Details
xorg.conf configuration file (4.80 KB, text/plain)
2009-09-19 16:20 UTC, tom
no flags Details

Description tom 2009-09-19 16:15:48 UTC
Created attachment 361770 [details]
Manual specification page for L767 monitor

Description of problem:
On a clean installation of Fedora Core 11, Xorg refuses to use the native screen resolution of my monitor which is 1280x1024 and uses 1024x768. My video card is
"ATI Radeon X600 (RV370) 5B62 (PCIE)" (ChipID = 0x5b62) and my monitor is a Eizo L767.
With and without a xorg.conf, it fails to do 1280x1024. I will attach my current xorg.conf to this bug along with the last Xorg.0.log file.

Version-Release number of selected component (if applicable):
X.Org X Server 1.6.3.901 (1.6.4 RC 1)
Release Date: 2009-8-25
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-164.el5 i686
Current Operating System: Linux beast 2.6.30.5-43.fc11.i686.PAE #1 SMP Thu Aug 27 21:34:36 EDT 2009 i686

How reproducible:
Always.

Steps to Reproduce:
1. Start X
2. check resolution with xrandr -q
3.
  
Actual results:
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 4096 x 4096
VGA-0 disconnected (normal left inverted right x axis y axis)
DVI-0 connected 1024x768+0+0 (normal left inverted right x axis y axis) 376mm x 301mm
   1024x768       60.0* 
   800x600        60.3  
   640x480        60.0  
   720x400        70.1  
   0x0             0.0  

Expected results:
I expect 1280x1024 to be listed and selected on top.

Additional info:
From the log file it seems that DDC and the probed values disagree. I don't know much about this area but on Fedora Core 7 (which is what I just upgraded from, it used to work a charm with the DVI connection).

Extract from Xorg.0.conf
(II) RADEON(0): Printing DDC gathered Modelines:
(II) RADEON(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(II) RADEON(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) RADEON(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) RADEON(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) RADEON(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) RADEON(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(II) RADEON(0): Printing probed modes for output DVI-0
(II) RADEON(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) RADEON(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) RADEON(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) RADEON(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) RADEON(0): Modeline "0x0"x0.0    0.00  0 0 0 0  0 0 0 0 (0.0 kHz)

Also, I was poking around quite a lot and I just tried the option
Option "IgnoreEDID" "true" but it seems to have made no difference to my situation.

Comment 1 tom 2009-09-19 16:18:27 UTC
Created attachment 361771 [details]
Xorg log file

Although the Option "IgnoreEDID" "true" is set in this log, the result is the same without it.

Comment 2 tom 2009-09-19 16:20:31 UTC
Created attachment 361773 [details]
xorg.conf configuration file

Last version I tried.

Comment 3 Matěj Cepl 2009-11-05 18:38:13 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 4 tom 2009-12-27 13:07:16 UTC
I finally got around to updating to Core 12 and I am delighted to report that Core 12 has fixed the problem! Yeah!!!

Thanks!


Note You need to log in before you can comment on or make changes to this bug.